#ifndef _INCLUDE_aimms_ValueLevel
#define _INCLUDE_aimms_ValueLevel

#include "Level.h"

namespace aimms{

    // This class is the most inner level of an iteration and handles a single value
    // Derived classses should override the functionality they use. 
    class ValueLevel : public Level  
    {
    public:
        virtual void HandleSliceNoTuple(int slicenr) {
            return;
        } 
        virtual void HandleSlice(int slicenr) {
            return;
        } 
        virtual void Apply(const double& value, int slicenr){
            return;
        }
    };
}
#endif