#ifndef _INCLUDE_aimms_ErrorCollector
#define _INCLUDE_aimms_ErrorCollector

#include <string>
#include <stack>

namespace aimms{

    // the ErrorCollector stores all errors ( of all projects)  on a stack, 
    // to be able to return the last error encountered.

    class ErrorCollector
    {

    public:
        ErrorCollector();
        ~ErrorCollector();

    public:
        void addError(const char* error);
        int getLastError(int* textBufferLen, char* textBuffer );
    public:
        std::stack<std::string> m_ErrorStack;
    };

}


#endif